## javax.faces.model
Class ResultSetDataModel

    java.lang.Object
      javax.faces.model.DataModel
          javax.faces.model.ResultSetDataModel

public class ResultSetDataModel
extends DataModel

Version:
  $Revision: 291104 $ $Date: 2005-09-23 08:01:10 -0400 (Fri, 23 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $), Martin Marinschek

Constructor Summary
`ResultSetDataModel()`
`ResultSetDataModel(java.sql.ResultSet resultSet)`

Method Summary
`int` `getRowCount()` We don't know how many rows the result set has without scrolling through the whole thing.
`java.lang.Object` `getRowData()` Get the actual data of this row wrapped into a map.
`int` `getRowIndex()`
`java.lang.Object` `getWrappedData()`
`boolean` `isRowAvailable()`
`void` `setRowIndex(int rowIndex)`
`void` `setWrappedData(java.lang.Object data)`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetDataModel

    public ResultSetDataModel()

### ResultSetDataModel

    public ResultSetDataModel(java.sql.ResultSet resultSet)

Method Detail

### getRowCount

    public int getRowCount()

  We don't know how many rows the result set has without scrolling through the whole thing.

  Specified by:
    `getRowCount` in class `DataModel`

### getRowData

    public java.lang.Object getRowData()

  Get the actual data of this row wrapped into a map. The specification is very strict about what has to be returned from here, so check the spec before modifying anything here.

  Specified by:
    `getRowData` in class `DataModel`

### getRowIndex

    public int getRowIndex()

  Specified by:
    `getRowIndex` in class `DataModel`

### getWrappedData

    public java.lang.Object getWrappedData()

  Specified by:
    `getWrappedData` in class `DataModel`

### isRowAvailable

    public boolean isRowAvailable()

  Specified by:
    `isRowAvailable` in class `DataModel`

### setRowIndex

    public void setRowIndex(int rowIndex)

  Specified by:
    `setRowIndex` in class `DataModel`

### setWrappedData

    public void setWrappedData(java.lang.Object data)

  Specified by:
    `setWrappedData` in class `DataModel`